<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 
	require_once "../core/core_classes.php";
	require_once "../config.php";

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {

		case 'guardar':

			$pClave = filter_input(INPUT_POST, 'vClave');
			$pDescripcion = filter_input(INPUT_POST, 'vDescripcion');
			
			// get settings
			$stmt = $conn->prepare("call catUsoCFDIInsertar('$pClave','$pDescripcion')");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			$response->datos = "";
			
			echo json_encode($response);
			
			break;
			
		case 'actualizar':

			$pNid = filter_input(INPUT_POST, 'vNid');
			$pClave = filter_input(INPUT_POST, 'vClave');
			$pDescripcion = filter_input(INPUT_POST, 'vDescripcion');
			
			// get settings
			$stmt = $conn->prepare("call catUsoCFDIActualizar($pNid,'$pClave','$pDescripcion')");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			$response->datos = "";
			
			echo json_encode($response);
			
			break;
			
		case 'eliminar':

			$pNid = filter_input(INPUT_POST, 'pNid');
			
			// get settings
			$stmt = $conn->prepare("call catUsoCFDIBorrar($pNid)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			$response->datos = "";
			
			echo json_encode($response);
			
			break;			
		case 'consultaXestado':
		
			// get settings
			$stmt = $conn->prepare("call catUsoCFDIConsultar()");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_uso_cfdi();
				$respuesta->nid = $row["idUsoCFDI"];
				$respuesta->clave = $row["claveUsoCFDI"];
				$respuesta->descripcion = $row["descripcionUsoCFDI"];
				
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
			
		case 'consultaXnid':

			$pNid = filter_input(INPUT_POST, 'pNid');
		
			// get settings
			$stmt = $conn->prepare("call catUsoCFDIConsultarXid($pNid)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_uso_cfdi();
				$respuesta->nid = $row["idUsoCFDI"];
				$respuesta->clave = $row["claveUsoCFDI"];
				$respuesta->descripcion = $row["descripcionUsoCFDI"];
				
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
			
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
